For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • POSTCreate audio native project
      • GETGet Audio Native Project Settings
      • POSTUpdate audio native project
      • POSTUpdate Audio-Native Content From Url
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIAudio Native

Get Audio Native Project Settings

GET
/v1/audio-native/:project_id/settings
GET
/v1/audio-native/:project_id/settings
$curl https://api.elevenlabs.io/v1/audio-native/project_id/settings
1{
2 "enabled": true,
3 "snapshot_id": "JBFqnCBsd6RMkjVDRZzb",
4 "settings": {
5 "title": "My Project",
6 "image": "https://example.com/image.jpg",
7 "author": "John Doe",
8 "small": false,
9 "text_color": "#000000",
10 "background_color": "#FFFFFF",
11 "sessionization": 1,
12 "audio_path": "audio/my_project.mp3",
13 "audio_url": "https://example.com/audio/my_project.mp3",
14 "status": "ready"
15 }
16}
Get player settings for the specific project.
Was this page helpful?
Previous

Update audio native project

Next
Built with

Path parameters

project_idstringRequired
The ID of the Studio project.

Headers

xi-api-keystringOptional

Response

Successful Response
enabledboolean
Whether the project is enabled.
snapshot_idstring or null
The ID of the latest snapshot of the project.
settingsobject or null
The settings of the project.

Errors

422
Unprocessable Entity Error